## ros-kinetic-roslib 1.14.6

=== debian/changelog ===
ros-kinetic-roslib (1.14.6-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Mar 2019 07:00:00 -0000

ros-kinetic-roslib (1.14.5-1xenial) xenial; urgency=high

  * disable test with invalid dependency (#202 <https://github.com/ros/ros/issues/202>)
  * special handle Python script without extension on Windows (#197 <https://github.com/ros/ros/issues/197>)
  * use _MSC_VER for ROS_FORCE_INLINE (#194 <https://github.com/ros/ros/issues/194>)
  * chmod -x on Python modules (#183 <https://github.com/ros/ros/issues/183>)
  * fix build issue on Windows (#186 <https://github.com/ros/ros/issues/186>)
  * add missing dependencies (#181 <https://github.com/ros/ros/issues/181>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Mar 2019 08:00:00 -0000

ros-kinetic-roslib (1.14.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 01 May 2018 07:00:00 -0000

ros-kinetic-roslib (1.14.3-1xenial) xenial; urgency=high

  * replace env hooks with a dependency on ros_environment (#166 <https://github.com/ros/ros/issues/166>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 30 Jan 2018 08:00:00 -0000

ros-kinetic-roslib (1.14.2-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 26 Oct 2017 07:00:00 -0000

ros-kinetic-roslib (1.14.1-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-kinetic-roslib (1.14.0-1xenial) xenial; urgency=high

  * update ROS_DISTRO to lunar

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-kinetic-roslib (1.13.6-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 31 Oct 2017 07:00:00 -0000

ros-kinetic-roslib (1.13.5-1xenial) xenial; urgency=high

  * fix missing export depends (#128 <https://github.com/ros/ros/issues/128>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Feb 2017 08:00:00 -0000

ros-kinetic-roslib (1.13.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-roslib (1.13.3-1xenial) xenial; urgency=high

  * allow expected ROS_DISTRO value to be overridden at compile time (#122 <https://github.com/ros/ros/pull/122>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Sep 2016 07:00:00 -0000

ros-kinetic-roslib (1.13.2-1xenial) xenial; urgency=high

  * avoid putting the rosbuild stacks dir on RPP if it doesn't exist (#111 <https://github.com/ros/ros/pull/111>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Sep 2016 07:00:00 -0000

ros-kinetic-roslib (1.13.1-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Mar 2016 08:00:00 -0000

ros-kinetic-roslib (1.13.0-1xenial) xenial; urgency=high

  * update ROS_DISTRO to kinetic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Mar 2016 08:00:00 -0000

ros-kinetic-roslib (1.12.6-1xenial) xenial; urgency=high

  * expose an API (ros::package::getPlugins) which can map multiple export values to one package name (#103 <https://github.com/ros/ros/issues/103>)
  * deprecate API returning incomplete information (#103 <https://github.com/ros/ros/issues/103>)
  * allow caching of rospack results (#97 <https://github.com/ros/ros/issues/97>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Mar 2016 08:00:00 -0000

ros-kinetic-roslib (1.12.5-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-kinetic-roslib (1.12.4-1xenial) xenial; urgency=high

  * improve performance by caching the package mapping in the rospack instance (#95 <https://github.com/ros/ros/pull/95>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 12 Oct 2015 07:00:00 -0000

ros-kinetic-roslib (1.12.3-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-kinetic-roslib (1.12.2-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-kinetic-roslib (1.12.1-1xenial) xenial; urgency=high

  * remove usage of CATKIN_TEST_RESULTS_DIR environment variable (#80 <https://github.com/ros/ros/pull/80>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-kinetic-roslib (1.12.0-1xenial) xenial; urgency=high

  * update ROS_DISTRO to jade

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 26 Dec 2014 08:00:00 -0000

ros-kinetic-roslib (1.11.6-1xenial) xenial; urgency=high

  * consider std_msgs/Header to be a valid header in rosbuild-based messages (#67 <https://github.com/ros/ros/pull/67>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-kinetic-roslib (1.11.5-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-kinetic-roslib (1.11.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Jul 2014 07:00:00 -0000

ros-kinetic-roslib (1.11.3-1xenial) xenial; urgency=high

  * remove linking against "rt" library on Android (#57 <https://github.com/ros/ros/issues/57>)
  * disable delayed expansion in Windows environment hook (#60 <https://github.com/ros/ros/issues/60>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-kinetic-roslib (1.11.2-1xenial) xenial; urgency=high

  * use PYTHON_EXECUTABLE in environment hooks (#55 <https://github.com/ros/ros/issues/55>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 07:00:00 -0000

ros-kinetic-roslib (1.11.1-1xenial) xenial; urgency=high

  * add optional argument force_recrawl to getPlugins() function
  * use catkin_install_python() to install Python scripts (#46 <https://github.com/ros/ros/issues/46>)
  * python 3 compatibility

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-kinetic-roslib (1.11.0-1xenial) xenial; urgency=high




